package com.mcwl.web.controller.resource;

import com.mcwl.common.annotation.RepeatSubmit;
import com.mcwl.common.core.domain.AjaxResult;
import com.mcwl.resource.domain.SysUserInfo;
import com.mcwl.resource.service.impl.SysUserAttentionServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * 关注
 * @author DaiZibo
 * @date 2025/1/3
 * @apiNote
 */

@RequestMapping("/attention")
@RestController
public class SysUserAttentionController {

    @Autowired
    private SysUserAttentionServiceImpl sysUserAttentionService;


    /**
     * 添加/取消关注
     * @param userId
     * @return
     */
    @RepeatSubmit
    @GetMapping("/addAttention")
    public AjaxResult addAttention(@RequestParam Long userId) {

        return sysUserAttentionService.addAttention(userId);

    }

    /**
     *查询是否关注用户
     * @param userId
     * @return
     */
    @GetMapping("/selectAttention")
    public AjaxResult selectAttention(@RequestParam Long userId) {

        Boolean aBoolean = sysUserAttentionService.selectAttention(userId);

        return AjaxResult.success(aBoolean);
    }

    /**
     * 查询个人粉丝，关注，下载量，喜欢
     * @return
     */
    @GetMapping("/selectUserInfo")
    public AjaxResult selectUserInfo(){

        SysUserInfo sysUserInfo = sysUserAttentionService.selectUserInfo();

        return AjaxResult.success(sysUserInfo);
    }
}
