package com.mcwl.resource.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @Author：ChenYan
 * @Project：McWl
 * @Package：com.mcwl.common.domain.resource
 * @Filename：MallProduct
 * @Description TODO
 * @Date：2024/12/30 17:22
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
@TableName("mall_product")
public class MallProduct extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId
    private Long productId;
    /**
     * 用户ID
     */
    private Long userId;
    /**
     * 商品名称
     */
    private String productName;
    /**
     * 商品详情
     */
    private String detail;
    /**
     * 商品规格
     */
    private String model;
    /**
     * 金额
     */
    private BigDecimal amount;

    /**
     * 状态(0全部 1未审核 2公开 3隐私 4未通过)
     */
    private String status;
    /**
     * 图片名称
     */
    private String name;
    /**
     * 图片url
     */
    private String url;
    /**
     * 图片url
     */
    private String zipUrl;
    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private String delFlag;

    /**
     * 下载次数
     */
    private Long number;

}
